local ColorTable = {
	cGreen,		-- Game
	cOrange,	-- Online
	cYellow,	-- Select Game
	cYellow,	-- Options
	cPurple,	-- Edit
	cRed,		-- Exit
}
local iIndex = Var("GameCommand"):GetIndex();
local t = Def.ActorFrame {
--[[
	LoadActor( THEME:GetPathG("_frame", "1D"),{ 1/3, 1/3, 1/3 },LoadActor(THEME:GetPathG("_1d","frames/PrefIcon1"))) .. {
        Name="Frame";
        GainFocusCommand=cmd(playcommand,"SetSize",{ Width=(640/8); tween=cmd(finishtweening;linear,0.3;diffuse,1,1,1,1); });
        LoseFocusCommand=cmd(playcommand,"SetSize",{ Width=(640/8); tween=cmd(finishtweening;linear,0.3;diffuse,0.5,0.5,0.5,1); });
--~ 		EnabledCommand=cmd(playcommand,"SetSize",{ Width=(640/8)*4; tween=cmd(finishtweening;linear,0.3;diffuse,1,1,1,1); });
		DisabledCommand=cmd(playcommand,"SetSize",{ Width=(640/8); tween=cmd(finishtweening;linear,0.3;diffuse,cRed); });
    };
--]]
 	LoadFont("_regra black 50px") ..{
		Name="Name";
		Text=Var("GameCommand"):GetText();
		InitCommand=cmd(shadowlength,1;diffuse,ColorTable[iIndex+1];diffusetopedge,LightColor(ColorTable[iIndex+1]);diffusealpha,0;pulse;effecttiming,0,0,0.25,3.75;effectmagnitude,1,1.2,1;effectclock,'beat';);
-- 		InitCommand=cmd(y,-46;shadowlength,1;zoom,0.625;diffusealpha,0);
		OnCommand=cmd();
		GainFocusCommand=cmd(stoptweening;linear,0.05;diffusealpha,1);
		LoseFocusCommand=cmd(stoptweening;linear,0.25;diffusealpha,0);
		DisabledCommand=cmd(diffuse,0.5,0.5,0.5,1);
	};
--[[ 
	LoadFont("Common Normal") ..{
		Text="[" .. Var("GameCommand"):GetIndex() + 1 .. "]";
		InitCommand=cmd(y,8;shadowlength,1;zoom,0.75;NoStroke);
--~ 		InitCommand=cmd(y,-30+8;shadowlength,1;zoom,0.5;zoomy,0.4);
	};
--]]
};

--[[ t.GainFocusCommand=cmd(visible,true);
t.LoseFocusCommand=cmd(visible,false); --]]

return t;